Revision 216bb34c ncclient/__init__.py

b/ncclient/__init__.py
12 12
# See the License for the specific language governing permissions and
13 13
# limitations under the License.
14 14

  
15
'''
16
TODO
17
=====
18
* code freeze and reST doc
19
'''
20

  
21 15
import sys
22 16

  
23 17
# actually no reason why shouldn't work on 2.5 but that's... untested -- TODO
24 18
if sys.version_info < (2, 6):
25 19
    raise RuntimeError('You need Python 2.6+ for this module.')
26 20

  
27
__version__ = "0.05"
28

  
29 21
class NCClientError(Exception):
22
    "Base type for all NCClient errors"
30 23
    pass

Also available in: Unified diff